These forums have been archived and are now read-only.

The new forums are live and can be found at https://forums.eveonline.com/

Linux

 
  • Topic is locked indefinitely.
 

EVE Launcher for Linux

First post First post
Author
Ravow
Quebecorp
Domain Research and Mining Inst.
#561 - 2017-04-03 06:53:00 UTC  |  Edited by: Ravow
Meio Rayliegh wrote:
it is a 750 ti i was not sure about that but i choose my graphic card as the rest it is an assembly computer now i give some new information at the case but i don't know about the driver

*-display NON-RÉCLAMÉ
description: VGA compatible controller
produit: GM107 [GeForce GTX 750 Ti]
fabriquant: NVIDIA Corporation
identifiant matériel: 0
information bus: pci@0000:01:00.0
version: a2
bits: 64 bits
horloge: 33MHz
fonctionnalités: vga_controller cap_list
configuration: latency=0
ressources: mémoire:f6000000-f6ffffff mémoire:e0000000-efffffff mémoire:f0000000-f1ffffff portE/S:e000(taille=128) mémoire:f7000000-f707ffff
for the driver i can't launch the game with another driver off

xserver-xorg-video-nouveau
1:1.0.10-1ubuntu2
server x.xorg new driver screen

for my graphic card i must install the nvidia-346
it is recommanded to install the 375 but when i use it it couldn't initialise GLX

if i install the 346 then i have that

[0402/184418:WARNING:resource_bundle.cc(291)] locale_file_path.empty() for locale
Installed Qt WebEngine locales directory not found at location /home/***/evelauncher/translations/qtwebengine_locales. Trying application directory...
Qt WebEngine locales directory not found at location /home/***/evelauncher/qtwebengine_locales. Trying fallback directory... Translations MAY NOT not be correct.
[0402/184418:WARNING:resource_bundle.cc(291)] locale_file_path.empty() for locale
[S_API FAIL] SteamAPI_Init() failed; SteamAPI_IsSteamRunning() failed.
[S_API FAIL] SteamAPI_Init() failed; unable to locate a running instance of Steam, or a local steamclient.so.
Segmentation fault

So for the moment i didn't know exactly which driver i have and what driver i have to install for a good quality without the big lag

ps: i can't make this link

ln -s /opt/google/chrome/locales /opt/EVEOnline/evelauncher/translations/qtwebengine_locales

because my file system is completely different i don't have a navigator file in the rep /opt i just have win-devel


Avec une carte Nvidia tu doit utiliser les drivers propriétaire et non Mesa, les deux que tu as mentionner devrait fonctionner, EVE peut se contenter d'OpenGL 3.3.

Les erreurs que tu pogne au lancement du launcher sont "normal", tu peut les ignorer. Par contre le segfault il serait bon savoir il est du a quoi. Essaye de lancer et tout de suite apres, executer "dmesg" au cas ou il indique ou se situe le plantage.
Meio Rayliegh
Garoun Investment Bank
Gallente Federation
#562 - 2017-04-03 12:11:59 UTC  |  Edited by: Meio Rayliegh
les drivers propriétaire genre lesquels? nvidia-346?
et pour open gl je peux l'installer en dehors avec le gestionnaire?
en plus perso j'aimerais bien que la vitesse soit normal
ps: tu as commencé a parler en français pour éviter de voir des horreurs en anglais?
Ravow
Quebecorp
Domain Research and Mining Inst.
#563 - 2017-04-03 12:30:25 UTC  |  Edited by: Ravow
Meio Rayliegh wrote:
les drivers propriétaire genre lesquels? nvidia-346?
et pour open gl je peux l'installer en dehors avec le gestionnaire?


Les deux vont fonctionner mais y'a un bug avec post processing qui semble être reglé avec les 375 (bug des petit carré noir partout ou tu doit désactiver le post processing).

OpenGL viens avec les drivers proprietaire, install *PAS* Mesa (libGL, nouveau, libdrm...) en meme temps. Pour ce qui es du gestionnaire, je peux pas trop t'aider la dessu puisque je n'utilise que Gentoo. Mais messemble que Ubuntu a un truc pour les drivers (Restricted?) qui permettent d'installé les dernier, sinon messemble que tu peux runner l'installer que tu peux downloader chez Nvidia en root, donc en dehors du gestionnaire, si tu as linux-header et build-essential d'installer, il va pouvoir installer le libGL Nvidia et compiler le module pour le kernel.

Si tu install nouveau, tu risque que Linux load le driver nouveau et donc empeche le driver proprietaire de fonctionner et les drivers opensource ne fonctionne pas bien sur les carte Nvidia recente, c'est par contre excellent pour AMD.
Meio Rayliegh
Garoun Investment Bank
Gallente Federation
#564 - 2017-04-03 12:41:06 UTC  |  Edited by: Meio Rayliegh
oh le con j'ai voulu installer open gl et comme j'ai pas trouvé j'ai justement suivi les étape pour l'installation de mesa ici http://www.wikihow.com/Install-Mesa-(OpenGL)-on-Linux-Mint
bon bah je sais pas trop comment je vais m'y prendre parce que j'en ai installé des paquets là avec mesa open gl résultat quand je lance le jeu ça donne un carré grisâtre après c'est peut etre parce que je viens de rechanger les pilote j'ai remis autre chose que le server X
en gros juste un fond gris comme j'avais a peu près avec playonlinux
quelle galère c'est pas pour critiquer le boulot des dev mais c'est quand meme un petit peu le bordel a installer quand meme j'avais meme mis un moment wine 1.9 mais je pouvais toujours que lancer le jeu pas jouer beaucoup trop lent

ps: j'ai aussi une nouvelle erreur
p11-kit: couldn't load module: /usr/lib/i386-linux-gnu/pkcs11/p11-kit-trust.so: /usr/lib/i386-linux-gnu/pkcs11/p11-kit-trust.so: Ne peut ouvrir le fichier d'objet partagé: Aucun fichier ou dossier de ce type
p11-kit: couldn't load module: /usr/lib/i386-linux-gnu/pkcs11/gnome-keyring-pkcs11.so: /usr/lib/i386-linux-gnu/pkcs11/gnome-keyring-pkcs11.so: Ne peut ouvrir le fichier d'objet partagé: Aucun fichier ou dossier de ce type
Meio Rayliegh
Garoun Investment Bank
Gallente Federation
#565 - 2017-04-03 13:38:41 UTC  |  Edited by: Meio Rayliegh
bon eh bien j'ai viré tout ce que j'avais fais j'ai installé manuellement nvidia-304 puisqu'apparement il est cencé bien fonctionner mais j'ai toujours un cadre vide aucun username login pas d'image rien juste un cadre alors du coup y a t-il quelqu'un qui aurait linux mint rafaela avec une carte graphic nvidia GTX 750 ti pour savoir quel pilote je dois prendre et si il y a autre chose à faire?un lien symbolique physique ou un chemin à spécifier pour qtwebengine ou autre
merci d'avance pour votre aide

when i started with

./evelauncher.sh
Couldn't initialise GLX
aborted
wine: Unhandled page fault on read access to 0x0000000d at address 0x7bc9c694 (thread 0051), starting debugger...

when i starte windebug=-all path/to/evelauncher.exe
it run but when i try to start the game my account is not load the icone square become at the begining l> so i can't play in the two different way

a part of my log

I) "glx" will be loaded by default.
(WW) "xmir" is not to be loaded by default. Skipping.
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
compiled for 1.15.1, module version = 1.0.0
ABI class: X.Org Server Extension, version 8.0
(==) AIGLX enabled
Loading extension GLX
(==) Matched nvidia as autoconfigured driver 0
(==) Matched nouveau as autoconfigured driver 1
(==) Matched nvidia as autoconfigured driver 2
(==) Matched nouveau as autoconfigured driver 3
(==) Matched modesetting as autoconfigured driver 4
(==) Matched fbdev as autoconfigured driver 5
(==) Matched vesa as autoconfigured driver 6
(==) Assigned the driver to the xf86ConfigLayout
(II) LoadModule: "nvidia"
(WW) Warning, couldn't open module nvidia
(II) UnloadModule: "nvidia"
(II) Unloading nvidia
(EE) Failed to load module "nvidia" (module does not exist, 0)
(II) LoadModule: "nouveau"
(II) Loading /usr/lib/xorg/modules/drivers/nouveau_drv.so
Ravow
Quebecorp
Domain Research and Mining Inst.
#566 - 2017-04-03 18:15:30 UTC
execute : glxinfo | grep OpenGL
Meio Rayliegh
Garoun Investment Bank
Gallente Federation
#567 - 2017-04-03 19:05:17 UTC  |  Edited by: Meio Rayliegh
OpenGL vendor string: VMware, Inc.
OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 3.4, 256 bits)
OpenGL version string: 2.1 Mesa 10.1.3
OpenGL shading language version string: 1.30
OpenGL extensions:

and i have to change the name of the folder program files (x86) to Program otherwise
(x86)/CCP/EVE: bad variable name
OR
Filesx86/CCP/EVE: bad variable name

No protocol specified
QXcbConnection: Could not connect to display :0.0
Aborted
Ashima Huren
Pator Tech School
Minmatar Republic
#568 - 2017-04-04 14:08:33 UTC  |  Edited by: Ashima Huren
Hey, so my brother recently gave me his old laptop with ubuntu on it, I was curious to see if it could run Eve because I like how the OS looks compared to windows.

I followed the instructions on the eve uni website https://wiki.eveuniversity.org/Installing_EVE_on_Linux

1. download: wget https://binaries.eveonline.com/evelauncher-1104891.tar.gz
2. extract: tar -xvf evelauncher-1104891.tar.gz

Then I have a problem at stage 3:
Unpack the remaining binary files (.tar)

tar -xvf evelauncher-1104891.tar

Terminal says:
tar: evelauncher-1104891.tar: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now
______

Anyone know why this happens?
Cassandra Colizza
Dreddit
Test Alliance Please Ignore
#569 - 2017-04-04 14:30:34 UTC  |  Edited by: Cassandra Colizza
Ashima Huren wrote:
Hey, so my brother recently gave me his old laptop with ubuntu on it, I was curious to see if it could run Eve because I like how the OS looks compared to windows.

I followed the instructions on the eve uni website https://wiki.eveuniversity.org/Installing_EVE_on_Linux

1. download: wget https://binaries.eveonline.com/evelauncher-1104891.tar.gz
2. extract: tar -xvf evelauncher-1104891.tar.gz

Then I have a problem at stage 3:
Unpack the remaining binary files (.tar)

tar -xvf evelauncher-1104891.tar

Terminal says:
tar: evelauncher-1104891.tar: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now
______

Anyone know why this happens?


It looks like the tar did not download. Try to download it again, it doesnt matter in which way, wget is just comfortable to use from a shell. :)

Mate Sokol wrote:
Kuran Sincomil wrote:
Hi folks, trying to return back to EVE Universe, but faced with a problem in my home OS: Debian Stretch 9.
Trying to run ./evelauncher.sh but it runs without any errors and do nothing just hanging on terminal window and no output at all, and no launcher window appers :(.
I found EVE LogLite in "evelaucher" diretory, it runs ok and when I start ./evelauncher one client get connected with "[0]" ID, but no messages written in LogLite output. Where should I look to get game to run?


As Vincent Eneticum said some posts ago, openSSL 1.1 (libssl.so) messes with the client. I had the same problem, ./evelauncher cant find "xcb", ./evelauncher.sh hangs with empty terminal. Had to find the libssl.so (sudo ldconfig -p | grep libssl) and break the link (or rediect it to a libssl.so.1.0.2).

Weird stuff, but thats linux for ya.


I came around the same problem on a system (Debian Stretch), without admin access.
Does anyone have a hint, how to bypass this in a not systemwide way, when the libssl.so.1.0.2 is installed, but without root access to break the symlink?
Ashima Huren
Pator Tech School
Minmatar Republic
#570 - 2017-04-04 14:43:30 UTC
Cassandra Colizza wrote:
It looks like the tar did not download. Try to download it again, it doesnt matter in which way, wget is just comfortable to use from a shell. :)

I reproduced steps 1,2,3 again and I still get the same message at step 3:
tar: evelauncher-1104891.tar: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now

(note that I have no clue what I'm doing when I type these terminal commands, I just notice the error message in terminal)
Cassandra Colizza
Dreddit
Test Alliance Please Ignore
#571 - 2017-04-04 16:45:06 UTC  |  Edited by: Cassandra Colizza
Ashima Huren wrote:
Cassandra Colizza wrote:
It looks like the tar did not download. Try to download it again, it doesnt matter in which way, wget is just comfortable to use from a shell. :)

I reproduced steps 1,2,3 again and I still get the same message at step 3:
tar: evelauncher-1104891.tar: Cannot open: No such file or directory
tar: Error is not recoverable: exiting now

(note that I have no clue what I'm doing when I type these terminal commands, I just notice the error message in terminal)


So lets go through them
wget https://binaries.eveonline.com/evelauncher-1104891.tar.gz

will call the programm wget to download the file.
If this runs fine, there should be a progress bar drawn and in the text there should be written, its "Saving to: ‘evelauncher-1104891.tar.gz".
You can verify it, by listing your folders contents with
ls

You can also simply click the link, download the file with your browser. Then click show in folder in your browser to see it on your disc. Simple download. ;)

Next step is unpacking it. WIth graphical interface, most simply doubleclick and extract it, in the shell, its tar. You can verify the tar programm is installed, on Debian based systems, like Ubuntu is, by running
dpkg -l | grep tar

This should show something like
ii  tar                                                         1.29b-1.1                              amd64        GNU version of the tar archiving utility

The ii in the beginning of the line says, "installed", second is the programm name and third version. If the version differs, it doesn't matter, as long you got it installed.
If this is not the case, install tar, again Debian based install:
sudo apt-get install tar

Accept the install and then unpack the package.

Then enter the contained evelauncher folder with
cd evelauncher

and start the script by
./evelauncher.sh

You don't have to type everything, but also click the **** out of your system...

But ppl explaining others how to do stuff is hard with clicking the **** out of things, so they use the shell commands for easier reproduction. ;)

Hope this helps understanding, what you're doing there.

EDIT: nvm, just checked into the uniwiki... the have two packages there. It's only one to unpack nowadays. No wonder Step 3 fails.
Ashima Huren
Pator Tech School
Minmatar Republic
#572 - 2017-04-04 17:08:42 UTC
Thanks for the explanations Cassandra. So I shouldnt worry about step 3 then :) I continued the instructions and the launcher seems to be working. Currently updating, soon ready :)
Ravow
Quebecorp
Domain Research and Mining Inst.
#573 - 2017-04-04 17:19:32 UTC  |  Edited by: Ravow
Meio Rayliegh wrote:
OpenGL vendor string: VMware, Inc.
OpenGL renderer string: Gallium 0.4 on llvmpipe (LLVM 3.4, 256 bits)
OpenGL version string: 2.1 Mesa 10.1.3
OpenGL shading language version string: 1.30
OpenGL extensions:

and i have to change the name of the folder program files (x86) to Program otherwise
(x86)/CCP/EVE: bad variable name
OR
Filesx86/CCP/EVE: bad variable name

No protocol specified
QXcbConnection: Could not connect to display :0.0
Aborted


Your still running with MESA.. and not only Mesa, but the Gallium SOFTWARE RENDERER!

Peux tu executer "lsmod" en root et me dire le result, voire si au moins le module Nvidia est loaded? Parce que en Software Rendering tu doit aller a 2fps... Enfait tu irais a 2FPS si LLVM était a jour.

Check le lsmod, ensuite je sais pas, faudrait voir le support a savoir comment selectionner le driver sur ta distribution.
Meio Rayliegh
Garoun Investment Bank
Gallente Federation
#574 - 2017-04-04 20:09:30 UTC  |  Edited by: Meio Rayliegh
merci de continuer de m'aider j'ai pas vraiment envie de polluer le topic avec des flood massif ma situation devient desespéré pour nvidia je crois que je l'ai installé par le terminal la version 317 mais après j'ai apparement toujours le serveur x autant mon écran pour mettre le mdp a changé totalement mais quand je vais dans le gestionnaire des drivers nvidia ça me met que je suis sous le serveur x et quand j'en change ça pose problème soit glx soit autre chose mais y a toujours un problème pour mesa je sais pas , mais si il y a un moyen de le virer d'arranger toute cette merde et de changer de serveur X ce serait vraiment bien j'aimerais bien pouvoir profiter un peu du jeu pour le temps qu'il reste
merci encore voilà le résultat

nls_utf8 12557 1
udf 93821 1
crc_itu_t 12707 1 udf
hid_generic 12559 0
keucr 71421 0
usbhid 52616 0
uas 23159 0
hid 110426 2 hid_generic,usbhid
usb_storage 66545 1 uas
snd_hda_codec_hdmi 47548 1
dm_crypt 23216 0
bnep 19624 2
rfcomm 69509 0
bluetooth 446409 10 bnep,rfcomm
6lowpan_iphc 18702 1 bluetooth
binfmt_misc 17468 1
eeepc_wmi 13151 0
asus_wmi 24094 1 eeepc_wmi
sparse_keymap 13948 1 asus_wmi
intel_rapl 18783 0
x86_pkg_temp_thermal 14205 0
intel_powerclamp 18823 0
coretemp 13441 0
kvm 452088 0
snd_hda_codec_realtek 77467 1
snd_hda_codec_generic 69011 1 snd_hda_codec_realtek
crct10dif_pclmul 14307 0
crc32_pclmul 13133 0
dm_multipath 22843 0
ghash_clmulni_intel 13230 0
scsi_dh 14882 1 dm_multipath
snd_hda_intel 30469 7
snd_hda_controller 30228 1 snd_hda_intel
snd_hda_codec 139682 5 snd_hda_codec_realtek,snd_hda_codec_hdmi,snd_hda_codec_generic,snd_hda_intel,snd_hda_controller
snd_hwdep 17698 1 snd_hda_codec
snd_pcm 104112 5 snd_hda_codec_hdmi,snd_hda_codec,snd_hda_intel,snd_hda_controller
snd_seq_midi 13564 0
snd_seq_midi_event 14899 1 snd_seq_midi
snd_rawmidi 30876 1 snd_seq_midi
aesni_intel 152552 19903
snd_seq 63074 2 snd_seq_midi_event,snd_seq_midi
aes_x86_64 17131 1 aesni_intel
lrw 13286 1 aesni_intel
gf128mul 14951 1 lrw
glue_helper 13990 1 aesni_intel
ablk_helper 13597 1 aesni_intel
cryptd 20359 9954 ghash_clmulni_intel,aesni_intel,ablk_helper
snd_seq_device 14497 3 snd_seq,snd_rawmidi,snd_seq_midi
snd_timer 29562 2 snd_pcm,snd_seq
serio_raw 13483 0
snd 79468 24 snd_hda_codec_realtek,snd_hwdep,snd_timer,snd_hda_codec_hdmi,snd_pcm,snd_seq,snd_rawmidi,snd_hda_codec_generic,snd_hda_codec,snd_hda_intel,snd_seq_device
soundcore 15047 2 snd,snd_hda_codec
mei_me 19696 0
lpc_ich 21093 0
mei 87875 1 mei_me
shpchp 37047 0
parport_pc 32741 0
ppdev 17671 0
mac_hid 13227 0
lp 17759 0
parport 42348 3 lp,ppdev,parport_pc
soc_button_array 12720 0
dm_mirror 22135 0
dm_region_hash 20862 1 dm_mirror
dm_log 18411 2 dm_region_hash,dm_mirror
r8169 71694 0
psmouse 106610 0
ahci 34062 2
libahci 32424 1 ahci
mii 13934 1 r8169
wmi 19193 1 asus_wmi
video 20128 1 asus_wmi
Ravow
Quebecorp
Domain Research and Mining Inst.
#575 - 2017-04-04 20:12:41 UTC
I don't see any nvidia module.. How did you install the nvidia driver?
Meio Rayliegh
Garoun Investment Bank
Gallente Federation
#576 - 2017-04-04 20:19:02 UTC  |  Edited by: Meio Rayliegh
en faisant apt-get install nvidia-317
après j'ai aussi suivi un tuto mais je ne sais plus où pareil il y a des dll a mettre dans wine mais j'en ai peu je ne sais pas lesquelles j'ai besoin
Ravow
Quebecorp
Domain Research and Mining Inst.
#577 - 2017-04-04 20:51:01 UTC
Le probleme actuel n'est pas lié à Wine mais au fait que il ne sont pas loadé par tin installation. Tu fonctionne complement en software rendering (ton CPU emule l'opengl) et c;Est une vieille version du LLVMPIPE donc pas suffisant pour rouler EVE meme a 2 fps.
Orlyonok
The Iron Corps
#578 - 2017-04-05 03:36:11 UTC  |  Edited by: Orlyonok
Thanks for the effort. I had a machine with 6 CPUs and a GTX 750. I tied various linices on it and various configurations.

After experimentation, I settled on the latest version of KDE Manjaro. It installs some steam by default but no WINE. A default installed WINE can cause severe problems, and so can the Nouveau driver for the GTX 750. One must seek out the non-free driver from Nvidia for that card or else the result will be 7 seconds for click to be acknowledged slow in the EVE UI.

With that driver installed and with steam-manjaro and steam-native packages installed, the install routine delineated in the wiki.eveuniversity post went smoothly. Then it was a matter of reducing graphics performance to make it playable while the data caught up with the game. There remains a canvas problem where clicks are required to be far less sloppy than EVE in windows.

All in all, great. It is nice to play a game from an actually secure system.

Further comment--the weird behavior of mouse clicking was an intermittent in the mouse. With a wired mouse that problem disappeared
Amarraanth
Deva Rising
#579 - 2017-04-08 04:13:29 UTC  |  Edited by: Amarraanth
Hmm,

So loglite found out those 2. The first somehow is not colored red (error).

info: Error launching the client for #### TypeError: Cannot read property 'location' of null 1 https://launcher.eveonline.com/1051/bundles/scriptsfcba.js?v=-tKxFJ-SVNHGJ6vYi4yEr7AhJWBhmCZAOtWvMyFyCV01

error: Error when detecting URL change on SSO iframe: SecurityError: Blocked a frame with origin "https://launcher.eveonline.com" from accessing a cross-origin frame. 1 https://launcher.eveonline.com/1051/bundles/scriptsfcba.js?v=-tKxFJ-SVNHGJ6vYi4yEr7AhJWBhmCZAOtWvMyFyCV01

Any help with that?

P.S: the terminal reads when I used the play button "libpng warning: iCCP: known incorrect sRGB profile"
Za'afiel
Imperceptible Bedevilment
#580 - 2017-04-09 12:02:07 UTC
This works AWESOME!

I run Ubuntu MATE 16.04 on my LENOVO Y580 laptop and it works like a charm, absolutely no errors or other issues, I'm surprised by the performace. There is a little screen tearing (Compton probably, i'll try Compiz later) but it is nothing. GREAT JOB!


Thanks a million guys, you made me very happy!
You should do a tip jar or something!

Shoot them all! Be polite.